import ApiModel from "~/models/ApiModel";
import {Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : OrganizationArticle
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Organization/OrganizationArticle.php
 */
export default class OrganizationArticle extends ApiModel {
  static entity = 'organization_articles'

  @Uid()
  declare id: number | string | null

  @Str('')
  declare title: string

  @Str('')
  declare link: string

  @Str('')
  declare date: string
}
